Modify option
Modify an option by id
Path Parameters
Body
application/json
Body
MetapropertyOptionUpdateInput
Response
application/json
Response
OptionUpdatedOutput
Authentication
UnauthenticatedPath Parameters
Body
Options - Old API (Please use new API if possible)
Retrieve options by ids
Query Parameters
Example:00000000-0000-0000-0000000000000000,00000000-0000-0000-0000000000000000
Response
application/json
Response
A list of options
Authentication
UnauthenticatedQuery Parameters
Retrieve options for a metaproperty
Query Parameters
Example:Amsterdam
Default:50
<= 1000
Example:250
Default:1
Example:1
Path Parameters
Example:00000000-0000-0000-0000000000000000
Response
application/json
Response
Successful response
Example:1
Example:2017-02-15T14:54:58+00:00
Example:Yellow
Example:00000000-0000-0000-0000000000000000
Example:Yellow
Show Child Parameters
Example:yellow
Authentication
UnauthenticatedPath Parameters
Query Parameters
Create option
Requires the METAPROPERTYMANAGEMENT or METAMANAGEMENT security role.
Note: when the name you provide differs from the option’s label, Bynder automatically assigns that name value as the option’s externalReference. Explicitly setting externalReference to null or an empty string does not prevent this. To store a specific external reference, pass the desired value in the externalReference field.
Path Parameters
Example:00000000-0000-0000-0000000000000000
Body
application/x-www-form-urlencoded
Body
JSON-serialised string
Example:{"name": "BlueType", "externalReference": "Reference number 1", "label": "Blue", "labels": {"fr_FR": "foo", "en_US": "foo"}, "zindex": 4, "isSelectable": true, "parentId": "00000000-0000-0000-0000000000000000", "options": [{"name": "BlueType", "label": "Blue", "labels": {"fr_FR": "foo", "en_US": "foo"}, "zindex": 4, "isSelectable": true, "parentId": "00000000-0000-0000-0000000000000000"}]}
Response
application/json
Response
Created
Example:00000000-0000-0000-0000000000000000
Example:Created
Example:201